the createJetty method of a Test class became final in the new versions of
solr.
the kite sdk test-jar has to be removed because it depends on a different
incompatible version of solr

    <dependency>
      <groupId>org.kitesdk</groupId>
      <artifactId>kite-morphlines-solr-core</artifactId>
      <version>${kite.version}</version>
      <type>test-jar</type>
      <scope>test</scope>
    </dependency>

TestEnvironment.java has to be removed as well because it depends on the
incompatible dependency

then we need this class:
https://github.com/kite-sdk/kite/blob/master/kite-morphlines/kite-morphlines-solr-core/src/test/java/org/kitesdk/morphline/solr/TestEmbeddedSolrServer.java
I believe it is ok to have a copy of this because it is part of the
incompatible test dependency we just removed

then we need a newer version of commons-compress:
    <commons-compress.version>1.10</commons-compress.version>

from here you can fix the actual solr related test errors :)

On Tue, Mar 6, 2018 at 11:56 AM, Wahrmann, Helmut <[EMAIL PROTECTED]>
wrote: